Page MenuHomePhabricator

CX2: Explore references, templates and other content with non visible information from the source article
Closed, ResolvedPublic

Description

When translating an article to a different language, you may find complex/structured content such as references or templates for which their relevant information is always not directly visible.
Users may need to check the information on the source article for those elements in order to (a) check the initial translation is correct, and transfer information to the translation.

Exploring references, templates and other content with non visible information from the source article is needed to gain context for the translation and transfer information easily. For the particular case of links there is a specific ticket (T197075: CX2: Show link card for source links)

Examples

References


A paragraph with a reference is added to the translation. The user wants to check whether the reference was adapted properly by looking at the source reference. In this case a link was missing from the original, but that is very easy to overlook since the source reference contents are not easily reachable (e.g., opening the source article with Visual Editor in another tab and inspect the reference).

Templates


Content Translation was not able to adapt the infobox, and the user has to create a new infobox for the translation from scratch. In order to fill the data needed for the infobox template in the translation it would be very convenient to be able to explore the source infobox and copy the information from there.

Otherwise, users have to open the source article in a new tab, go to edit mode and open the infobox to start copying information across browser tabs.

Proposed solution

The proposed solution is to show for these elements the same cards that are shown for the translation with some differences:

  • The action for edit will become "Explore" and will open the edit dialog with additional information in a read-only mode (users can copy but not modify the source information).
  • Actions for deleting elements will be hidden.

By making there elements easier to inspect, we'll contribute to help users to check more often this content, and reduce the work other editors need to do to correct issues that went unnoticed for the translator.


Related: T210142: Create a read-only mode for Visual Editor that allows inspection

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 7 2018, 10:23 AM
Pginer-WMF triaged this task as Normal priority.Sep 7 2018, 10:23 AM
Pginer-WMF updated the task description. (Show Details)Nov 22 2018, 12:16 PM

Change 489392 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/ContentTranslation@master] Use VE read-only mode for source surface

https://gerrit.wikimedia.org/r/489392

Change 489392 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Use VE read-only mode for source surface

https://gerrit.wikimedia.org/r/489392

In T202158, all dialogs are made to cover editing surface fully. After read-only mode became available in VE, we can inspect the content from source column. However, these inspection dialogs are displayed centered on screen, not covering editing area.

@Pginer-WMF, should we keep this difference, as viewing and editing are separated this way? One benefit of centered dialog is that we may still see the rendered content which is being inspected.

@Petar.petkovic, if you can provide a screenshot, Pau can better understand it.

Here are the screenshots for template in source and target column, displayed with focus and then with the dialog opened.

Source template focusedDialog for source template opened
Target template focusedDialog for target template opened

When integrating the dialogs we have been making some compromises:

  • Ideally it makes sense for content to be represented in-place and side-by-side to facilitate information transfer across languages. Similarly to what we had for the CX1 template editor. Instead we are reusing the Visual Editor inspectors, which are focused on one element at a time, and require some extra steps for the user to transfer content. These are modal dialogs which cover part of the content and require to close them to interact (e.g., copy) content from the main document). Giver the number of dialogs and elements to deal with this was considered good-enough for our purpose.
  • Given that dialogs show rich text in some cases, and inspectors are shown as cards in the tools column (and making an exception for dialogs to show them as popups was too complex technically), we decided to expand the dialogs to present them more like documents. This connects them better with the information in the tools column, but increases the barrier to access the document.

I think that the current status illustrated meets already the purpose of the ticket. I'll be testing this further, and creating a follow-up ticket if further adjustments are needed to make the dialogs on either side better/more consistent.

Pginer-WMF closed this task as Resolved.Mar 4 2019, 10:28 AM